Skip to main content
GET
/
v1
/
scrape
/
youtube
/
channel
/
community-posts
Channel Community Posts
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/youtube/channel/community-posts \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.sociavault.com/v1/scrape/youtube/channel/community-posts"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.sociavault.com/v1/scrape/youtube/channel/community-posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "success": true,
    "posts": {
      "0": {
        "id": "UgkxfMvMnSnV3Ww9HwAY2wFGmVevmhRaYAYO",
        "url": "https://www.youtube.com/post/UgkxfMvMnSnV3Ww9HwAY2wFGmVevmhRaYAYO",
        "channel": {
          "id": "UCX6OQ3DkcsbYNE6H8uQQuVA",
          "title": "MrBeast",
          "url": "https://www.youtube.com/@MrBeast",
          "handle": "MrBeast"
        },
        "content": "Inside this box is the world's FIRST 500M Play Button. We're 10M away from 500M and I cannot wait to see what’s in here so help me out. Subscribe so we can all see what it looks like!",
        "image": "https://yt3.ggpht.com/BgBr4f_nvLm84HY2JVaPiDZRLZXJsqA7Q29CJkAksrwRFNXN1GgQJxzjYfzWUYR6ZekKBXCVwxPQKw=s1000-c-fcrop64=1,00000000ffffffff-rw-nd-v1",
        "images": {
          "0": "https://yt3.ggpht.com/BgBr4f_nvLm84HY2JVaPiDZRLZXJsqA7Q29CJkAksrwRFNXN1GgQJxzjYfzWUYR6ZekKBXCVwxPQKw=s1000-c-fcrop64=1,00000000ffffffff-rw-nd-v1"
        },
        "likeCountText": "674K",
        "likeCount": 674000,
        "publishedTimeText": "2 weeks ago (edited)",
        "publishedTime": "2026-05-28T10:07:51.970Z",
        "video": null
      },
      "1": {
        "id": "UgkxoALLVbJBCAlPjcXE3bcrv8PCAuBYQbc9",
        "url": "https://www.youtube.com/post/UgkxoALLVbJBCAlPjcXE3bcrv8PCAuBYQbc9",
        "channel": {
          "id": "UCX6OQ3DkcsbYNE6H8uQQuVA",
          "title": "MrBeast",
          "url": "https://www.youtube.com/@MrBeast",
          "handle": "MrBeast"
        },
        "content": "Thanks you for all the Birthday wishes, I’m very incredibly grateful for all of you that watch our videos :)",
        "image": null,
        "images": {},
        "likeCountText": "263K",
        "likeCount": 263000,
        "publishedTimeText": "1 month ago",
        "publishedTime": "2026-05-11T10:07:51.970Z",
        "video": null
      }
    },
    "continuationToken": "4qmFsgKTARIYVUNYNk9RM0RrY3NiWU5FNkg4dVFRdVZBGl5FZ1Z3YjNOMGM3Z0JBSklEQUtvREtBb2tVVEpqTlZKR1VsZFVhMDVvWVcxbmVsVnFRbGRVVmtWNllucEtWbUpyTVZKUlZVVTlLQXJ5QmdrS0Iwb0FvZ0VDQ0FFJTNEmgIWYmFja3N0YWdlLWl0ZW0tc2VjdGlvbg%3D%3D"
  },
  "credits_used": 1,
  "endpoint": "youtube/channel/community-posts"
}
{
"error": "Either channelId or handle is required"
}
{
"error": "Insufficient credits",
"required": 1,
"available": 0
}
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

channelId
string

YouTube channel ID

Example:

"UCX6OQ3DkcsbYNE6H8uQQuVA"

handle
string

YouTube channel handle

Example:

"MrBeast"

continuationToken
string

Continuation token to get more community posts. Get 'continuationToken' from previous response.

Response

Successful response containing channel community posts

Key Response Fields:

  • posts[].id: Unique community post ID
  • posts[].url: Full URL to the community post
  • posts[].channel.id: Channel ID
  • posts[].channel.title: Channel name
  • posts[].channel.handle: Channel handle
  • posts[].content: Post text content
  • posts[].image: Primary attached image URL (null if none)
  • posts[].images: All attached images indexed by position
  • posts[].likeCountText: Formatted like count (e.g. "674K")
  • posts[].likeCount: Numeric like count
  • posts[].publishedTimeText: Human-readable publish time
  • posts[].video: Attached video details (null if none)
  • continuationToken: Token to fetch the next page of posts (null if no more pages)